<?php

if(isset($_POST['changeImage'])){
    $fileName = $_FILES["profileImage"]["name"];
    $tmp_name = $_FILES["profileImage"]["tmp_name"];
    $fileSize = $_FILES["profileImage"]["size"];

    $target_dir = "assets/images/profile/";
    $target_file = $target_dir . basename(time() . $fileName);
    $uploadOk = 1;
    $imageFileType = strtolower(pathinfo($target_file, PATHINFO_EXTENSION));

    // Check if image file is a actual image or fake image
    $check = getimagesize($tmp_name);
    if($check !== false) {
        $uploadOk = 1;
    } else {
        echo "File is not an image.";
        $uploadOk = 0;
    }

    // Check if file already exists
    if (file_exists($target_file)) {
        echo "Sorry, file already exists.";
        $uploadOk = 0;
    }

     // Check file size
    if ($fileSize > 100000000) {
        echo "Sorry, your file is too large.";
        $uploadOk = 0;
    }

    // Allow certain file formats
    if($imageFileType != "jpg" && $imageFileType != "png" && $imageFileType != "jpeg"
    && $imageFileType != "gif" ) {
        echo "Sorry, only JPG, JPEG, PNG & GIF files are allowed.";
        $uploadOk = 0;
    }

    // Check if $uploadOk is set to 0 by an error
    if ($uploadOk == 0) {
        echo "Sorry, your file was not uploaded.";
    // if everything is ok, try to upload file
    } else {
        $id = $_GET['id'];
        $sql = "UPDATE users SET avatar = '$target_file' WHERE id = $id";

        if($conn->query($sql)){
            if (move_uploaded_file($tmp_name, $target_file)) {
                header('Refresh:0');
            } else {
                echo "Sorry, there was an error uploading your file.";
            }
        }
    }
}

?>

<form id="profile-form" method="post" action="" enctype="multipart/form-data">
    <input class="" type="file" name="profileImage" id="imageFile" />
    <input class="btn black" type="submit" name="changeImage">
</form>